Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVolume Class Reference

`#include <vtkVolume.h>`

Inheritance diagram for vtkVolume:

[legend]
Collaboration diagram for vtkVolume:

[legend]
List of all members.

## Detailed Description

represents a volume (data & properties) in a rendered scene

Date:
  2003/01/06 20:36:14

Revision:
  1.64

vtkVolume is used to represent a volumetric entity in a rendering scene. It inherits functions related to the volume's position, orientation and origin from vtkProp3D. The volume maintains a reference to the volumetric data (i.e., the volume mapper). The volume also contains a reference to a volume property which contains all common volume rendering parameters.

See also:
  vtkVolumeMapper vtkVolumeProperty vtkProp3D

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Avila, Lisa (62%)
  - Martin, Ken (22%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkVolume.h)`
  - .`cxx` (`/Rendering/vtkVolume.cxx)`

Examples:
  vtkVolume (Examples)

Tests:
  vtkVolume (Tests)

Definition at line 63 of file vtkVolume.h.

## Public Types
typedef vtkProp3D | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | GetVolumes (vtkPropCollection *vc)
void | Update ()
unsigned long int | GetMTime ()
unsigned long | GetRedrawMTime ()
void | ShallowCopy (vtkProp *prop)
int | RenderTranslucentGeometry (vtkViewport *viewport)
void | ReleaseGraphicsResources (vtkWindow *)
float | GetArraySize ()
void | UpdateTransferFunctions (vtkRenderer *ren)
void | SetMapper (vtkVolumeMapper *mapper)
virtual vtkVolumeMapper * | GetMapper ()
void | SetProperty (vtkVolumeProperty *property)
vtkVolumeProperty * | GetProperty ()
float * | GetBounds ()
void | GetBounds (float bounds[6])
float | GetMinXBound ()
float | GetMaxXBound ()
float | GetMinYBound ()
float | GetMaxYBound ()
float | GetMinZBound ()
float | GetMaxZBound ()
float * | GetCorrectedScalarOpacityArray (int)
float * | GetCorrectedScalarOpacityArray ()
float * | GetScalarOpacityArray (int)
float * | GetScalarOpacityArray ()
float * | GetGradientOpacityArray (int)
float * | GetGradientOpacityArray ()
float * | GetGrayArray (int)
float * | GetGrayArray ()
float * | GetRGBArray (int)
float * | GetRGBArray ()
float | GetGradientOpacityConstant (int)
float | GetGradientOpacityConstant ()
void | UpdateScalarOpacityforSampleSize (vtkRenderer *ren, float sample_distance)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkVolume * | SafeDownCast (vtkObject *o)
vtkVolume * | New ()
## Protected Methods
| vtkVolume ()
| ~vtkVolume ()
float | ComputeScreenCoverage (vtkViewport *vp)
## Protected Attributes
vtkVolumeMapper * | Mapper
vtkVolumeProperty * | Property
float * | RGBArray [VTK_MAX_VRCOMP]
vtkTimeStamp | RGBArrayMTime [VTK_MAX_VRCOMP]
float * | GrayArray [VTK_MAX_VRCOMP]
vtkTimeStamp | GrayArrayMTime [VTK_MAX_VRCOMP]
float * | ScalarOpacityArray [VTK_MAX_VRCOMP]
vtkTimeStamp | ScalarOpacityArrayMTime [VTK_MAX_VRCOMP]
float * | CorrectedScalarOpacityArray [VTK_MAX_VRCOMP]
vtkTimeStamp | CorrectedScalarOpacityArrayMTime [VTK_MAX_VRCOMP]
float | CorrectedStepSize
int | ArraySize
float | GradientOpacityArray [VTK_MAX_VRCOMP][256]
float | GradientOpacityConstant [VTK_MAX_VRCOMP]
vtkTimeStamp | GradientOpacityArrayMTime [VTK_MAX_VRCOMP]

## Member Typedef Documentation

typedef vtkProp3D vtkVolume::Superclass

| Reimplemented from vtkProp3D. Definition at line 66 of file vtkVolume.h.

## Constructor & Destructor Documentation

vtkVolume::vtkVolume | ( |  | ) | `[protected]`

vtkVolume::~vtkVolume | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkVolume::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkProp3D.

int vtkVolume::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProp3D.

virtual int vtkVolume::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProp3D.

vtkVolume* vtkVolume::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkProp3D.

void vtkVolume::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkProp3D.

vtkVolume* vtkVolume::New | ( |  | ) | `[static]`

| Creates a Volume with the following defaults: origin(0,0,0) position=(0,0,0) scale=1 visibility=1 pickable=1 dragable=1 orientation=(0,0,0). Reimplemented from vtkObject.

void vtkVolume::SetMapper | ( | vtkVolumeMapper * | mapper | ) |

| Set/Get the volume mapper.

virtual vtkVolumeMapper* vtkVolume::GetMapper | ( |  | ) | `[virtual]`

| Set/Get the volume mapper.

void vtkVolume::SetProperty | ( | vtkVolumeProperty * | property | ) |

| Set/Get the volume property.

vtkVolumeProperty* vtkVolume::GetProperty | ( |  | ) |

| Set/Get the volume property.

void vtkVolume::GetVolumes | ( | vtkPropCollection * | vc | ) | `[virtual]`

| For some exporters and other other operations we must be able to collect all the actors or volumes. This method is used in that process. Reimplemented from vtkProp.

void vtkVolume::Update | ( |  | ) |

| Update the volume rendering pipeline by updating the volume mapper

float* vtkVolume::GetBounds | ( |  | ) | `[virtual]`

| Get the bounds - either all six at once (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time. Implements vtkProp3D.

void vtkVolume::GetBounds | ( | float | bounds[6] | ) | `[inline]`

| Get the bounds - either all six at once (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time. Reimplemented from vtkProp3D. Definition at line 98 of file vtkVolume.h. References vtkProp3D::GetBounds().

float vtkVolume::GetMinXBound | ( |  | ) |

| Get the bounds - either all six at once (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.

float vtkVolume::GetMaxXBound | ( |  | ) |

| Get the bounds - either all six at once (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.

float vtkVolume::GetMinYBound | ( |  | ) |

| Get the bounds - either all six at once (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.

float vtkVolume::GetMaxYBound | ( |  | ) |

| Get the bounds - either all six at once (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.

float vtkVolume::GetMinZBound | ( |  | ) |

| Get the bounds - either all six at once (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.

float vtkVolume::GetMaxZBound | ( |  | ) |

| Get the bounds - either all six at once (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.

unsigned long int vtkVolume::GetMTime | ( |  | ) | `[virtual]`

| Return the MTime also considering the property etc. Reimplemented from vtkProp3D.

unsigned long vtkVolume::GetRedrawMTime | ( |  | ) | `[virtual]`

| Return the mtime of anything that would cause the rendered image to appear differently. Usually this involves checking the mtime of the prop plus anything else it depends on such as properties, mappers, etc. Reimplemented from vtkProp.

void vtkVolume::ShallowCopy | ( | vtkProp * | prop | ) | `[virtual]`

| Shallow copy of this vtkVolume. Overloads the virtual vtkProp method. Reimplemented from vtkProp3D.

int vtkVolume::RenderTranslucentGeometry | ( | vtkViewport * | viewport | ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Support the standard render methods. Depending on the mapper type, the volume may be rendered using this method (FRAMEBUFFER volume such as texture mapping will be rendered this way) Reimplemented from vtkProp.

void vtkVolume::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Release any graphics resources that are being consumed by this volume. The parameter window could be used to determine which graphic resources to release. Reimplemented from vtkProp.

float* vtkVolume::GetCorrectedScalarOpacityArray | ( | int |  | ) |

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS

float* vtkVolume::GetCorrectedScalarOpacityArray | ( |  | ) | `[inline]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Definition at line 137 of file vtkVolume.h.

float* vtkVolume::GetScalarOpacityArray | ( | int |  | ) |

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS

float* vtkVolume::GetScalarOpacityArray | ( |  | ) | `[inline]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Definition at line 145 of file vtkVolume.h.

float* vtkVolume::GetGradientOpacityArray | ( | int |  | ) |

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS

float* vtkVolume::GetGradientOpacityArray | ( |  | ) | `[inline]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Definition at line 152 of file vtkVolume.h.

float* vtkVolume::GetGrayArray | ( | int |  | ) |

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS

float* vtkVolume::GetGrayArray | ( |  | ) | `[inline]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Definition at line 159 of file vtkVolume.h.

float* vtkVolume::GetRGBArray | ( | int |  | ) |

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS

float* vtkVolume::GetRGBArray | ( |  | ) | `[inline]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Definition at line 166 of file vtkVolume.h.

float vtkVolume::GetGradientOpacityConstant | ( | int |  | ) |

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS

float vtkVolume::GetGradientOpacityConstant | ( |  | ) | `[inline]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Definition at line 173 of file vtkVolume.h.

float vtkVolume::GetArraySize | ( |  | ) | `[inline]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Definition at line 179 of file vtkVolume.h.

void vtkVolume::UpdateTransferFunctions | ( | vtkRenderer * | ren | ) |

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS

void vtkVolume::UpdateScalarOpacityforSampleSize | ( | vtkRenderer * | ren,
|  | float | sample_distance
| ) |

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS

float vtkVolume::ComputeScreenCoverage | ( | vtkViewport * | vp | ) | `[protected]`

## Member Data Documentation

vtkVolumeMapper* vtkVolume::Mapper`[protected]`

| Definition at line 198 of file vtkVolume.h.

vtkVolumeProperty* vtkVolume::Property`[protected]`

| Definition at line 199 of file vtkVolume.h.

float* vtkVolume::RGBArray[VTK_MAX_VRCOMP]`[protected]`

| Definition at line 205 of file vtkVolume.h.

vtkTimeStamp vtkVolume::RGBArrayMTime[VTK_MAX_VRCOMP]`[protected]`

| Definition at line 206 of file vtkVolume.h.

float* vtkVolume::GrayArray[VTK_MAX_VRCOMP]`[protected]`

| Definition at line 212 of file vtkVolume.h.

vtkTimeStamp vtkVolume::GrayArrayMTime[VTK_MAX_VRCOMP]`[protected]`

| Definition at line 213 of file vtkVolume.h.

float* vtkVolume::ScalarOpacityArray[VTK_MAX_VRCOMP]`[protected]`

| Definition at line 219 of file vtkVolume.h.

vtkTimeStamp vtkVolume::ScalarOpacityArrayMTime[VTK_MAX_VRCOMP]`[protected]`

| Definition at line 220 of file vtkVolume.h.

float* vtkVolume::CorrectedScalarOpacityArray[VTK_MAX_VRCOMP]`[protected]`

| Definition at line 226 of file vtkVolume.h.

vtkTimeStamp vtkVolume::CorrectedScalarOpacityArrayMTime[VTK_MAX_VRCOMP]`[protected]`

| Definition at line 227 of file vtkVolume.h.

float vtkVolume::CorrectedStepSize`[protected]`

| Definition at line 233 of file vtkVolume.h.

int vtkVolume::ArraySize`[protected]`

| Definition at line 236 of file vtkVolume.h.

float vtkVolume::GradientOpacityArray[VTK_MAX_VRCOMP][256]`[protected]`

| Definition at line 239 of file vtkVolume.h.

float vtkVolume::GradientOpacityConstant[VTK_MAX_VRCOMP]`[protected]`

| Definition at line 240 of file vtkVolume.h.

vtkTimeStamp vtkVolume::GradientOpacityArrayMTime[VTK_MAX_VRCOMP]`[protected]`

| Definition at line 241 of file vtkVolume.h.

The documentation for this class was generated from the following file:

- Rendering/vtkVolume.h